org.apache.maven.plugins.shade.relocation

## Class SimpleRelocator

- java.lang.Object
- - org.apache.maven.plugins.shade.relocation.SimpleRelocator

All Implemented Interfaces:
  Relocator

    public class SimpleRelocator
    extends Object
    implements Relocator

Author:
  Jason van Zyl, Mauro Talevi

### Field Summary

### Fields inherited from interface org.apache.maven.plugins.shade.relocation.Relocator

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SimpleRelocator(String patt, String shadedPattern, List<String> includes, List<String> excludes)`
`SimpleRelocator(String patt, String shadedPattern, List<String> includes, List<String> excludes, boolean rawString)`

### Method Summary

Methods
`boolean` `canRelocateClass(String clazz)`
`boolean` `canRelocatePath(String path)`
`String` `relocateClass(String clazz)`
`String` `relocatePath(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleRelocator

    public SimpleRelocator(String patt,
                   String shadedPattern,
                   List<String> includes,
                   List<String> excludes)

#### SimpleRelocator

    public SimpleRelocator(String patt,
                   String shadedPattern,
                   List<String> includes,
                   List<String> excludes,
                   boolean rawString)

### Method Detail

#### canRelocatePath

    public boolean canRelocatePath(String path)

Specified by:
  `canRelocatePath` in interface `Relocator`

#### canRelocateClass

    public boolean canRelocateClass(String clazz)

Specified by:
  `canRelocateClass` in interface `Relocator`

#### relocatePath

    public String relocatePath(String path)

Specified by:
  `relocatePath` in interface `Relocator`

#### relocateClass

    public String relocateClass(String clazz)

Specified by:
  `relocateClass` in interface `Relocator`